#$Id: emacspeak.spec.in,v 14.5004 2001/11/11 00:52:59 raman Exp $cho
Summary: emacspeak -- The Complete Audio Desktop
Name: emacspeak
Version: 16.0
Release: 2
License: GPL
Group: Applications/Editors
Source: http://unc.dl.sourceforge.net/sourceforge/emacspeak/emacspeak-%{version}.tar.gz
URL: http://emacspeak.sourceforge.net/
Patch0: emacspeak-15.0-fixpref.patch
Requires: emacs
Prereq: info
BuildRequires: emacs findutils perl
ExclusiveArch: i386
BuildRoot: %{_tmppath}/%{name}-%{version}-root


%description 
Emacspeak is a speech interface that allows visually impaired users to
interact independently and efficiently with the computer. Available free of
cost on the Internet, Emacspeak has dramatically changed how the author and
hundreds of blind and visually impaired users around the world interact with
the personal computer and the Internet. A rich suite of task-oriented
speech-enabled tools provides efficient speech-enabled access to the evolving
semantic WWW. When combined with Linux running on low-cost PC hardware,
Emacspeak/Linux provides a reliable, stable speech-friendly solution that
opens up the Internet to visually impaired users around the world. With
support for the freely downloadable IBM ViaVoice Outloud speech synthesis
engine, Emacspeak now turns Linux into the first zero-cost Internet access
solution for blind and visually impaired users.

%prep
%setup
%patch0 -p1

# This shouldn't be in the tarball...
rm -fr `find -type d -name "CVS"`
rm -f realaudio/.nosearch
rm -f realaudio/.cvsignore


%build
make  config SRC=`pwd`
make

%install
export PATH=$PATH:/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/info
make install prefix=$RPM_BUILD_ROOT/usr infodir=$RPM_BUILD_ROOT/usr/share/info
rm -f $RPM_BUILD_ROOT/usr/share/info/*dir*  $RPM_BUILD_ROOT/usr/share/info/*gz
perl -pi -e "s|$RPM_BUILD_ROOT||g" $RPM_BUILD_ROOT/usr/bin/emacspeak

 
rm -f $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/emacspeak/.nosearch
rm -f $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/emacspeak/realaudio/.cvsignore


%post
if [ "$1" = 0 ]; then
	/sbin/install-info %{_infodir}/emacspeak.info.gz %{_infodir}/dir --section "Accessibility"
fi

%preun
if [ "$1" = 0 ]; then
	/sbin/install-info --delete %{_infodir}/emacspeak.info.gz %{_infodir}/dir --section "Accessibility"
fi




%files 
%defattr(-,root,root)
%doc servers/linux-outloud/VIAVOICE
%doc etc/NEWS* etc/FAQ etc/HELP etc/COPYRIGHT etc/tips.html etc/applications.html
%doc info/*.texi
%doc user-guide/*.html user-guide/*.sgml
/usr/share/emacs/site-lisp/emacspeak/
/usr/bin/*
%{_infodir}/*

%changelog
* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jun 10 2002 Trond Eivind Glomsrd <teg@redhat.com> 16.0-1
- 16.0
- Get rid of some zero length files
- Update URL, file location

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Apr  1 2002 Trond Eivind Glomsrd <teg@redhat.com> 15.0-4
- Fix %%preun (#62484)

* Thu Mar 28 2002 Trond Eivind Glomsrd <teg@redhat.com> 15.0-3
- Remove traces of the buildroot from /usr/bin/emacspeak (#62198)

* Fri Mar 22 2002 Trond Eivind Glomsrd <teg@redhat.com> 15.0-2
- Remove CVS directories
- Various other cleanups

* Tue Mar  5 2002 Trond Eivind Glomsrd <teg@redhat.com>
- Add Changelog
- s/Copyright/License/
- Remove vendor/packager
- Use Buildroot

